Package org.springframework.http

# Class MediaTypeFactory

java.lang.Object
org.springframework.http.MediaTypeFactory

public final class MediaTypeFactory extends Object
A factory delegate for resolving `MediaType` objects from `Resource` handles or filenames.

Since:
  5.0
Author:
  Juergen Hoeller, Arjen Poutsma

## Method Summary

Modifier and Type
Method
Description
`static Optional<MediaType>`
`getMediaType(String filename)`
Determine a media type for the given file name, if possible.
`static Optional<MediaType>`
`getMediaType(org.springframework.core.io.Resource resource)`
Determine a media type for the given resource, if possible.
`static List<MediaType>`
`getMediaTypes(String filename)`
Determine the media types for the given file name, if possible.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getMediaType

public static Optional<MediaType> getMediaType(@Nullable org.springframework.core.io.Resource resource)
Determine a media type for the given resource, if possible.

Parameters:
  `resource` - the resource to introspect
Returns:
  the corresponding media type, or `null` if none found

### getMediaType

public static Optional<MediaType> getMediaType(@Nullable String filename)
Determine a media type for the given file name, if possible.

Parameters:
  `filename` - the file name plus extension
Returns:
  the corresponding media type, or `null` if none found

### getMediaTypes

public static List<MediaType> getMediaTypes(@Nullable String filename)
Determine the media types for the given file name, if possible.

Parameters:
  `filename` - the file name plus extension
Returns:
  the corresponding media types, or an empty list if none found